Skip to main content
GET
/
v1
/
triggers
List or get triggers
curl --request GET \
  --url https://brew.new/api/v1/triggers \
  --header 'Authorization: Bearer <token>'
{
  "triggers": [
    {
      "triggerEventId": "tri_password_reset",
      "title": "Password Reset Requested",
      "provider": "brew_api",
      "payloadSchema": {
        "type": "object",
        "fields": [
          {
            "key": "email",
            "type": "string",
            "required": true
          }
        ]
      },
      "createdAt": "2026-04-08T12:34:56.789Z",
      "updatedAt": "2026-04-08T12:34:56.789Z"
    },
    {
      "triggerEventId": "clerk:org_123:brand_abc:user.created",
      "title": "Clerk: User Created",
      "provider": "clerk",
      "payloadSchema": {
        "type": "object",
        "fields": [
          {
            "key": "email",
            "type": "string",
            "required": true
          }
        ]
      },
      "createdAt": "2026-04-08T12:34:56.789Z",
      "updatedAt": "2026-04-08T12:34:56.789Z"
    }
  ]
}

Authorizations

Authorization
string
header
default:Bearer brew_your_api_key
required

Send your Brew API key as Authorization: Bearer brew_xxx.

Query Parameters

triggerEventId
string
Required string length: 1 - 256
limit
integer

Page size (1–100). Defaults to 100.

Required range: 1 <= x <= 100
cursor
string

Opaque pagination cursor echoed from the previous page’s pagination.cursor. Omit for the first page.

Required string length: 1 - 512

Response

List of trigger rows. Single-element array when ?triggerEventId=… matched a row.

triggers
object[]
required
pagination
object